#!/bin/bash
# This script is intended to be run from crontab

BASE_DIR=/mnt/upstream-mirror
MIRROR_DIR=$BASE_DIR/gerrit-mirror/
LOG_DIR=$BASE_DIR/gerrit-mirror-logs/

TSTAMP=`date '+%Y%m%dT%H%M'`
MYPATH=.
LOG=$LOG_DIR/$TSTAMP-$1.log

(time $MYPATH/git-gerrit-mirror --mirror-dir=$MIRROR_DIR $* >$LOG 2>&1) 2>>$LOG
